Skip to main content
GET
/
midjourney
/
v1
/
fetch
cURL
curl --request GET \
  --url https://api.ttapi.io/midjourney/v1/fetch \
  --header 'TT-API-KEY: <api-key>'
{
  "status": "SUCCESS",
  "message": "",
  "jobId": "c679a92e-dae0-462d-b70f-dcfeaf2189fa",
  "data": {
    "action": "imagine",
    "jobId": "c679a92e-dae0-462d-b70f-dcfeaf2189fa",
    "progress": "100",
    "prompt": "a cat",
    "quota": "2",
    "discordImage": "https://cdn.ttapi.io/midjourney/2025-11-14/20260302_050724_554d43430e2e80dd.png",
    "cdnImage": "https://cdn.ttapi.io/midjourney/2025-11-14/20260302_050724_554d43430e2e80dd.png",
    "width": 1024,
    "height": 1024,
    "hookUrl": null,
    "components": [
      "upsample1",
      "upsample2",
      "upsample3",
      "upsample4",
      "reroll",
      "variation1",
      "variation2",
      "variation3",
      "variation4"
    ],
    "seed": null,
    "images": [
      "https://cdn.ttapi.io/midjourney/20260302/bf839f4e-b7c0-4d14-922c-a842ad451443tl.png",
      "https://cdn.ttapi.io/midjourney/20260302/bf839f4e-b7c0-4d14-922c-a842ad451443tr.png",
      "https://cdn.ttapi.io/midjourney/20260302/bf839f4e-b7c0-4d14-922c-a842ad451443bl.png",
      "https://cdn.ttapi.io/midjourney/20260302/bf839f4e-b7c0-4d14-922c-a842ad451443br.png"
    ]
  }
}

Authorizations

TT-API-KEY
string
header
required

You can obtain your API key from the TTAPI Dashboard.

Query Parameters

jobId
string
required

Job ID returned from the previous request

Response

Request successful

status
enum<string>
required
Available options:
PENDING_QUEUE ,
ON_QUEUE,
SUCCESS,
FAILED
message
string
required

Response message

jobId
string

Task ID

data
object

任务结果

Last modified on March 16, 2026